0

I have installed via yum some packages as follows:

$ yum install ambari-agent

During installation there are a lot of warnings (see below). Is it possible to block these warnings but see only the errors if one occurs?

Expected output should be an ordinary yum installation but without warning.

Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-
              : manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package ambari-agent.x86_64 0:2.5.0.3-7 will be updated
---> Package ambari-agent.x86_64 0:2.6.1.0-143 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch         Version             Repository            Size
================================================================================
Updating:
 ambari-agent       x86_64       2.6.1.0-143         ambari-2.6.1.0        90 M

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 90 M
Downloading packages:
No Presto metadata available for ambari-2.6.1.0
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : ambari-agent-2.6.1.0-143.x86_64                              1/2
Upgrading configs in /etc/ambari-agent/conf/ambari-agent.ini
Values will be updated from /etc/ambari-agent/conf/ambari-agent.ini.old except the following list: [('heartbeat', 'dirs'), ('heartbeat', 'state_interval')], ['stack', 'puppet', 'command', 'python']
  Cleanup    : ambari-agent-2.5.0.3-7.x86_64                                2/2
warning: file /var/lib/ambari-agent/cache/stacks/HDP/2.5/services/FALCON/configuration/oozie-site.xml: remove failed: No such file or directory
warning: file /var/lib/ambari-agent/cache/stacks/HDP/2.2/services/FALCON/configuration/oozie-site.xml: remove failed: No such file or directory
warning: file /var/lib/ambari-agent/cache/stacks/HDP/2.1/services/SMARTSENSE/package/files/view/smartsense-ambari-view-1.4.0.2.5.0.3-7.jar: remove failed: No such file or directory
warning: file /var/lib/ambari-agent/cache/stacks/HDP/2.1/services/FALCON/configuration/oozie-site.xml: remove failed: No such file or directory
warning: file /var/lib/ambari-agent/cache/stacks/HDP/2.1/services/FALCON/configuration: remove failed: No such file or directory
warning: file /var/lib/ambari-agent/cache/common-services/ZEPPELIN/0.6.0.2.5/quicklinks/quicklinks.json: remove failed: No such file or directory
warning: file /var/lib/ambari-agent/cache/common-services/ZEPPELIN/0.6.0.2.5/quicklinks: remove failed: No such file or directory
  • Then the package should be fixed. – Ignacio Vazquez-Abrams Feb 26 '18 at 19:26
  • we install formal packages from hortonworks , we not manage this at all – yael Feb 26 '18 at 19:26
  • So then tell them to fix their package. – Ignacio Vazquez-Abrams Feb 26 '18 at 19:27
  • com-on Be serious ... for now this is the fact , so what we can do regarding that ? – yael Feb 26 '18 at 19:28
  • Have you tried changing the --debuglevel and/or --errorlevel options? See man yum – cherdt Feb 26 '18 at 22:21

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.